#
# spec file for package perl-File-ShareDir-Install
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-File-ShareDir-Install
Version:        0.10
Release:        5.5
%define cpan_name File-ShareDir-Install
Summary:        Install shared files
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/File-ShareDir-Install/
Source:         http://www.cpan.org/authors/id/G/GW/GWYN/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
File::ShareDir::Install allows you to install read-only data files from a
distribution. It is a companion module to the File::ShareDir manpage, which
allows you to locate these files after installation.

It is a port of the Module::Install::Share manpage to the
ExtUtils::MakeMaker manpage with the improvement of only installing the
files you want; '.svn', '.git' and other source-control junk will be
ignored.

Please note that this module installs read-only data files; empty
directories will be ignored.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.10
  see /usr/share/doc/packages/perl-File-ShareDir-Install/Changes
  0.10  Dec 10 2014
  - Recurse with $def in _scan_share_dir
    Thank you KENTNL for rt95749
* Mon Sep 15 2014 coolo@suse.com
- updated to 0.09
  - Get rid of DB::single
    Thank you djerius@cpan.org
  - Don't do POD tests
* Mon Feb 24 2014 coolo@suse.com
- updated to 0.08
  - Tests may now be run in parallel
    Thank you KENTNL@cpan.org
  - Added delete_share
    Thank you dmuey@cpan.org
  - Added $INCLUDE_DOTFILES and $INCLUDE_DOTDIRS
    Thank you sharyanto@cpan.org
* Fri Oct  4 2013 coolo@suse.com
- updated to 0.05
  - Tweak doco and fix typos
* Fri Nov 18 2011 coolo@suse.com
- update to 0.04
  - Tweak for better error reports
* Mon Jan 17 2011 coolo@novell.com
- initial package 0.03
  * created by cpanspec 1.78.03
